﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tek TDS 210: (1 Year) VER /5800A+5Ch
DATE:                  2017-01-27 13:44:34
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 17920 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       133
CONFIGURATION:         Fluke 5800A (C5)
=============================================================================
#
# Source:
#   Tektronix TDS 210 & 220 Service Manual 070-9693-04
#
# Overview:
#   This procedure is written to verify the operation of the TDS 2xx
#   Oscilloscopes. This procedure performs a "closed-loop" verification
#   with a minimum of operater intervention.  The following documentation
#   lists the global registers used and subprocedures called.
#
# NUMERIC REGISTERS USED:
#
#   M[10]
#     This register is used to set watchdog timer in the event the
#     oscillscope does not respond to a status command.  THIS REGISTER IS
#     SOMETIMES USED IN THE MAIN PROCEDURE as a Watchdog timer also.
#
#   M[17]
#     This register is used to store the desired resolution of a measurement.
#
#   M[1]
#     This register is used in the Trigger Section of the procedure to store
#     temporary values of MEM.  This section is part of a feedback loop which
#     is used to adjust the 5800 to the proper amplitude.
#
#   M[2]
#     This register is used in the Trigger Section of the procedure to
#     calculate how much the 5800 will be adjusted in the feedback loop.
#
#   M[3]
#     This register is used in the main triggering section to help determine
#     whether the scope is making a correct type of measurement.
#
#   M[4]
#     This register is used to store a value from the -0.600V DC Tests to be
#     to be compared later
#
#   M[100]
#     Channel number
#
#   M[102]
#     Bandwidth in Megahertz (50, 100, 200, or 400)
#
#   M[103]
#     Amplitude (Vpp) for bandwidth tests
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON
  1.001  ASK-         N              P                            F        W
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.002  JMP          1.004
  1.003  M5800                                                    C2

# Set timeout for OPC to 30s.
  1.004  MATH         M[88] = 30000

  1.005  RSLT         =
  1.006  HEAD         PRELIMINARY INSTRUCTIONS
  1.007  DISP         Turn the UUT on.
  1.008  EVAL   -s "Self-Test" : Did the power-on self-test pass?

  2.001  MATH         M[102] = 60

  2.002  DISP         Allow a 10 minute warm-up period before advancing...
  2.003  OPBR         -z It is recommended that a Signal Path Compensation
  2.003  OPBR         Test be performed before running the performance Test.
  2.003  OPBR         It is only necessary to run this test one time.
  2.003  OPBR         Do you want to run the Signal Path Compensation Test?

  2.004  IF           MEM1
  2.005  RSLT         =
  2.006  HEAD         SIGNAL PATH COMPENSATION
  2.007  DISP         Press UTILITY and select Do Self Cal to start the
  2.007  DISP         routine.  Follow the instructions on the UUT screen.
  2.007  DISP         The routine takes approximately one minute to complete.
  2.008  EVAL   -s "Signal Path Compensation Test" : Did Self Cal pass?
  3.001  ENDIF

  3.002  PIC          58_2xx99
  3.003  MATH         M[100] = 1
  3.004  CALL         Sub Fluke 5800A-5 Channel Selection
  3.005  JMPL         ERROR          M[89] <= 0
  3.006  CALL         Sub TDS2xx (1 yr) DCV /5800
  3.007  MATH         M[100] = 2
  3.008  CALL         Sub Fluke 5800A-5 Channel Selection
  3.009  JMPL         ERROR          M[89] <= 0
  3.010  CALL         Sub TDS2xx (1 yr) DCV /5800

  3.011  PIC          58_2xx9t
  3.012  MATH         M[100] = 1
  3.013  CALL         Sub Fluke 5800A-5 Channel Selection
  3.014  JMPL         ERROR          M[89] <= 0
  3.015  CALL         Sub TDS2xx (1 yr) Bandwidth /5800
  3.016  MATH         M[100] = 2
  3.017  CALL         Sub Fluke 5800A-5 Channel Selection
  3.018  JMPL         ERROR          M[89] <= 0
  3.019  CALL         Sub TDS2xx (1 yr) Bandwidth /5800

  3.020  MATH         M[100] = 1
  3.021  CALL         Sub Fluke 5800A-5 Channel Selection
  3.022  JMPL         ERROR          M[89] <= 0
  3.023  CALL         Sub TDS2xx (1 yr) Timebase /5800

  3.024  CALL         Sub TDS2xx (1 yr) Trigger /5800
  3.025  MATH         M[100] = 2
  3.026  CALL         Sub Fluke 5800A-5 Channel Selection
  3.027  JMPL         ERROR          M[89] <= 0
  3.028  CALL         Sub TDS2xx (1 yr) Trigger /5800

  3.029  PIC          58_2xx_e
  3.030  MATH         M[100] = 1
  3.031  CALL         Sub Fluke 5800A-5 Channel Selection
  3.032  JMPL         ERROR          M[89] <= 0
  3.033  CALL         Sub TDS2xx (1 yr) Ext Trig /5800
  3.034  JMPL         END

  3.035  LABEL        ERROR
  3.036  HEAD         ERROR
  3.037  DISP         [SREG28]

  3.038  LABEL        END
  3.039  END
